> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/accounting/v1/posmappings > Retrieves POS mappings with their associated GL accounts. Returns POS accounts as top-level items with nested GL account information. ## OpenAPI ````json GET /public/accounting/v1/posmappings { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/accounting/v1/posmappings": { "get": { "tags": [ "accounting" ], "description": "Retrieves POS mappings with their associated GL accounts. Returns POS accounts as top-level items with nested GL account information.", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "Modified date start (inclusive). If not provided but modifiedOnEnd is provided, defaults to modifiedOnEnd date", "schema": { "type": "string", "format": "date-time" } }, { "name": "modifiedOnEnd", "in": "query", "description": "Modified date end (inclusive)", "schema": { "type": "string", "format": "date-time" } }, { "name": "type", "in": "query", "description": "POS mapping type. Valid values: Sales Account, Payment Type, Job Title, Paid Out Type", "schema": { "type": "string" } }, { "name": "pageSize", "in": "query", "description": "Number of results per page. Default: 250, Max: 250", "schema": { "type": "integer", "format": "int32" } }, { "name": "continuationToken", "in": "query", "description": "Continuation token for pagination. Use the nextLink from a previous response to get the next page of results", "schema": { "type": "string" } } ], "responses": { "200": { "description": "POS Mappings with their associated GL Accounts and pagination support.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetPosMappingsResponse" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "GetPosMappingsResponse": { "type": "object", "properties": { "posMappings": { "type": "array", "items": { "$ref": "#/components/schemas/PosMappingWithGlAccount" }, "description": "The collection of POS mappings for the current page.", "nullable": true }, "nextLink": { "type": "string", "description": "URL to retrieve the next page of results, or null if this is the last page.", "nullable": true } }, "description": "Response containing POS mappings with pagination support." }, "R365.Accounting.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } }, "PosMappingWithGlAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "POS Account identifier.", "format": "uuid" }, "type": { "type": "string", "description": "POS mapping type (e.g., \"Sales Account\", \"Job Title\", \"Payment Type\", \"Paid Out Type\").", "nullable": true }, "name": { "type": "string", "description": "POS account name.", "nullable": true }, "modifiedOn": { "type": "string", "description": "Last modified date.", "format": "date-time", "nullable": true }, "glAccount": { "$ref": "#/components/schemas/GlAccount" } }, "description": "POS mapping with associated GL accounts." }, "GlAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "GL Account identifier.", "format": "uuid" }, "name": { "type": "string", "description": "GL Account name.", "nullable": true }, "number": { "type": "string", "description": "GL Account number (e.g., \"4010-100\").", "nullable": true }, "glType": { "type": "string", "description": "GL Type name (e.g., \"Sales\", \"Revenue\", \"Expense\").", "nullable": true } }, "description": "GL Account summary for POS mapping response." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````